#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

#include "./SYSTEM/sys/sys.h"

#include "./hmi/hmi_cmd.h"
#include "./hmi/hmi_rx_parse.h"
#include "./hmi/hmi_hex_parse.h"

#include "./hmi_qr_example.h"

static char qr_txt[] = "www.baidu.com";

void hmi_qr_example_hex_cmd(struct hex_cmd_fmt *fram)
{
    uint8_t wid_id = fram->func;
    char tx_buf[50] = {0};
    if (!wid_id)
    {
        sprintf(tx_buf,"qr0.str=\"%s\";",qr_txt);
        hmi_cmd_send(tx_buf); 
    }
}

void hmi_qr_example_timer_update_50ms(uint16_t page_id)
{
    if (page_id != 3)
        return;

}
